package ink.wgink.module.form.pojo.vos.docno;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: DocNoVO
 * @Description: 文号
 * @Author: CodeFactory
 * @Date: 2022-06-24 15:06:48
 * @Version: 3.0
 **/
@ApiModel
public class DocNoVO {

    @ApiModelProperty(name = "title", value = "标题")
    @CheckEmptyAnnotation(name = "标题")
    private String title;
    @ApiModelProperty(name = "summary", value = "描述")
    private String summary;
    @ApiModelProperty(name = "type", value = "类型：always：一直累加，year：按年累加，month：按月累加，day：按日累加，manual：手动")
    @CheckEmptyAnnotation(name = "类型", types = {"always", "year", "month", "day", "manual"})
    private String type;
    @ApiModelProperty(name = "template", value = "模板")
    private String template;
    @ApiModelProperty(name = "startNu", value = "开始编号")
    @CheckNumberAnnotation(name = "开始编号")
    private Integer startNu;
    @ApiModelProperty(name = "nuLength", value = "编号长度")
    @CheckNumberAnnotation(name = "编号长度")
    private Integer nuLength;
    @ApiModelProperty(name = "isActive", value = "是否激活")
    @CheckNumberAnnotation(name = "是否激活", types = {"0", "1"})
    private Integer isActive;

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getType() {
        return type == null ? "" : type.trim();
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTemplate() {
        return template == null ? "" : template.trim();
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public Integer getStartNu() {
        return startNu == null ? 0 : startNu;
    }

    public void setStartNu(Integer startNu) {
        this.startNu = startNu;
    }

    public Integer getNuLength() {
        return nuLength == null ? 0 : nuLength;
    }

    public void setNuLength(Integer nuLength) {
        this.nuLength = nuLength;
    }

    public Integer getIsActive() {
        return isActive == null ? 0 : isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }


}
